Changed small gear to use a cut

This commit is contained in:
Christian Colglazier 2022-05-24 19:04:36 -04:00
parent 6a747a97c1
commit c5dbbcaf3f

View File

@ -32,7 +32,7 @@ outer_fillets= 2.5
slant_degree= 15.0
wall_width= 1.6
loop_width= wall_width
loop_angle= 40
loop_angle= 36
rod_diameter= 15.2
offset= 9
tab_height= 6
@ -227,13 +227,11 @@ s_gear = cq.Workplane('XY').gear(SpurGear(module=mod,
# Stepper motor mount point
tab_distance = 2
tab_distance = 4/2
shaft_diameter = 5
copy = s_gear.faces('<Z[0]').workplane().vLine(tab_distance, forConstruction=True)\
.hLine(lg_radius).vLine(-lg_radius).hLine(-lg_radius*2).vLine(lg_radius)\
.close().cutThruAll()
s_gear = s_gear.faces('<Z[0]').sketch().circle(shaft_diameter/2).finalize().cutThruAll()
s_gear = s_gear.add(copy)
cut = cq.Workplane('XY').circle(shaft_diameter/2).extrude(gear_thinkness)
cut = cut.workplane().vLine(2*tab_distance, forConstruction=True).rect(shaft_diameter,tab_distance).cutThruAll()
s_gear = s_gear.cut(cut)
s_gear = s_gear.translate((stepper_center[0],stepper_center[1],(gear_thinkness-gear_offset)/2))
# Render